DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DcmSCU::DcmSCUPresContext Struct Reference

Defines presentation context, consisting of one abstract syntax name and a list of transfer syntaxes for this abstract syntax. More...

## Public Member Functions
| DcmSCUPresContext ()
| Default constructor.

## Public Attributes
OFString | abstractSyntaxName
| Abstract Syntax Name of Presentation Context.
OFList< OFString > | transferSyntaxes
| List of Transfer Syntaxes for Presentation Context.
T_ASC_SC_ROLE | roleSelect
| Role Selection.

## Detailed Description

Defines presentation context, consisting of one abstract syntax name and a list of transfer syntaxes for this abstract syntax.

The documentation for this struct was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/scu.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2